Bug 729099 - Need better help text for content upload and file/package adding to repos
Summary: Need better help text for content upload and file/package adding to repos
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 27
Assignee: Pradeep Kilambi
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 17:27 UTC by Mike McCune
Modified: 2013-09-09 16:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:14:28 UTC


Attachments (Terms of Use)

Description Mike McCune 2011-08-08 17:27:38 UTC
As a new user who is trying to upload individual packages to Pulp the help text for the 'repo' command leads you to believe you can use add_package and add_file to upload stuff to Pulp.

Top level help shows:

$ pulp-admin repo 
Usage: pulp-admin <options> repo <action> <options>
..
	add_package    add package to a repository
	add_file       add file to a repository 

I saw this and thought I could use add_package to upload a package to a repo and did:

$ pulp-admin repo add_package --id=upload-test -p rubygem-oauth-0.4.4-1.git.0.711230e.fc13.noarch.rpm 
Package rubygem-oauth-0.4.4-1.git.0.711230e.fc13.noarch.rpm could not be found skipping

I tried the help:

$ pulp-admin repo add_package --help
Usage: pulp-admin <options> repo add_package <options>

Options:
  -h, --help            show this help message and exit
  --id=ID               repository id (required)
  -p PKGNAME, --package=PKGNAME
                        package filename to add to this repository

the -p seems like the right choice because it says to specify the filename which I did ... 

After some discussion on IRC I discovered I was using the wrong command and should be using 'pulp-admin content upload'

Simple changes to the help text would have avoided the confusion, proposal:

# Top level help

$ pulp-admin repo 
Usage: pulp-admin <options> repo <action> <options>
..
	add_package    associate an already uploaded package to a repository
	add_file       associate an already uploaded file to a repository 

# add_package help

$ pulp-admin repo add_package --help
Usage: pulp-admin <options> repo add_package <options>

Associates an already uploaded package to an existing repository.

Options:
  -h, --help            show this help message and exit
  --id=ID               repository id (required)
  -p PKGNAME, --package=PKGNAME
                        package filename to add to this repository.  See
                        [pulp-admin package search] for list of filenames

Comment 1 Pradeep Kilambi 2011-08-11 18:14:01 UTC
commit 5867a35f435b63e579c1795e363ae5ab081c2587

Comment 2 Jeff Ortel 2011-08-12 21:48:30 UTC
build: 0.224

Comment 3 Preethi Thomas 2011-08-16 19:47:07 UTC
root@preethi ~]# rpm -q pulp
pulp-0.0.224-1.fc14.noarch
[root@preethi ~]# pulp-admin repo
Usage: pulp-admin <options> repo <action> <options>
Supported Actions:
	
	add_package    associate an already uploaded package to a repository
	add_file       associate an already uploaded file to a repository

[root@preethi ~]# pulp-admin repo add_package --help
Usage: pulp-admin <options> repo add_package <options>

Options:
  -h, --help            show this help message and exit
  --id=ID               repository id (required)
  -p PKGNAME, --package=PKGNAME
                        package filename to associate to this repository
  --source=SRCREPO      source repository with specified packages (optional)
  --csv=CSV             csv file to perform batch operations on;
                        Format:filename,checksum
  -y, --assumeyes       assume yes; automatically process dependencies as part
                        of the operation
  -r, --recursive       recursively lookup the dependency list; defaults to
                        one level of lookup

Comment 4 Preethi Thomas 2012-02-24 20:14:28 UTC
Pulp v1.0 is released
Closed Current Release.

Comment 5 Preethi Thomas 2012-02-24 20:19:22 UTC
Pulp v1.0 is released.


Note You need to log in before you can comment on or make changes to this bug.